# InputValidators

This library was generated with [Angular CLI](https://github.com/angular/angular-cli) version 15.0.0.

The inputNumberValidator directive prevents the user from entering a value outside of this range, and limits the amount of data the user can input

## Installation

To install this library, run:

```bash
npm i @goodbetterbist/input-validators
```

## Usage

Import the `InputValidatorsModule`:

```ts
import { InputValidatorsModule } from '@goodbetterbist/input-validators';

@NgModule({
  imports: [
     ...,
    InputValidatorsModule
  ],
    ...
})
export class AppModule { }
```
Use the `inputNumberValidator` directive in your input fields.

```html

<!-- To input numbers only -->
<input type="text" inputNumberValidator />

<!-- To input numbers between 1 & 100  -->
<input
type="text"
inputNumberValidator
placeholder="00"
min="1"
max="100"
pattern=""
/>
```

