import { ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class InputNumberDirective implements OnChanges {
    el: ElementRef;
    private navigationKeys;
    decimal: boolean;
    decimalSeparator: string;
    min: number;
    max: number;
    pattern?: string | RegExp;
    private regex;
    inputElement: HTMLInputElement;
    constructor(el: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    onBeforeInput(e: InputEvent): any;
    onKeyDown(e: KeyboardEvent): any;
    private forecastValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputNumberDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<InputNumberDirective, "[inputNumberValidator]", never, { "decimal": "decimal"; "decimalSeparator": "decimalSeparator"; "min": "min"; "max": "max"; "pattern": "pattern"; }, {}, never, never, false, never>;
}
